Objects

This is a preview version of the API intended for early testing and integration. Preview versions are not stable and may include breaking changes before general availability.

InitiateCollectionRequest

Future-proof request body that represents a collection as a set of typed parameters.

companystring

Company identifier.

loginMethodstring

The login method to use for authentication.

parametersArray<object>

Typed parameters describing how to authenticate, consent and scope the collection. Can be empty or null depending on the loginMethod provided.

One of these types:

Properties below are from the DanishMitIdParameter subtype. View the full schema for full details.

Credentials for Danish MitID (any/same device).

userIdstring

MitID user identifier. CPR numbers are not accepted.

Example
{  "company": "ee-ergo",  "loginMethod": "EMAIL",  "parameters": []}